package com.gydx.controller;


import com.gydx.demo.Result;
import com.gydx.service.BiddingMesService;
import com.gydx.vo.BiddingMesVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/BiddingMes")

@CrossOrigin //解决跨域问题
public class BiddingMesController {


    private static final Logger log = LoggerFactory.getLogger(BiddingMesController.class);
    @Autowired
    BiddingMesService biddingMesService;

    @RequestMapping("/add")
    public Integer addBiddingMes(BiddingMesVO vo) {
        System.out.println(vo.getBiddingStartTime());
        return biddingMesService.saveBiddingMes(vo);
    }

    @RequestMapping("/query")
    public List queryBiddingMes(BiddingMesVO vo) {
        return biddingMesService.findBiddingMes(vo);
    }

    @RequestMapping("/queryByID")
    public List queryBiddingMesByID(BiddingMesVO vo) {
        return biddingMesService.findBiddingMesByID(vo);
    }

    @RequestMapping("/delete")
    public Result removeBiddingMes(BiddingMesVO vo) {
        System.out.println(vo.getBiddingMesID()+"这是id");
        biddingMesService.removeBiddingMes(vo);
        return Result.success();
    }

    @RequestMapping("/update")
    public String updateBiddingMes(BiddingMesVO vo) {

        biddingMesService.updateBiddingMes(vo);
        System.out.println(biddingMesService.updateBiddingMes(vo));
        return"succ";
    }

}
