package com.gydx.controller;


import com.gydx.demo.Result;
import com.gydx.mapper.ManagerUserMapper;
import com.gydx.service.ManageUserService;
import com.gydx.vo.ManagerUserVO;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


import java.util.List;

@RestController
@RequestMapping("/User")

@CrossOrigin //解决跨域问题
public class ManagerUserController {

    @Autowired
    ManageUserService manageUserService;

    @RequestMapping("login")
    public Result queryUser( ManagerUserVO vo) {
        String username = vo.getManagerAcc();
        String password = vo.getManagerPass();
        ManagerUserVO managerUserVO = manageUserService.queryUser(username);
        if (managerUserVO == null){
            return Result.error("没有该用户");
        }else if (username == null || username.isEmpty() || password == null||password.isEmpty()){
            // 如果用户名不存在，则返回用户名错误信息
            return Result.error("用户名或者密码错误");
        }else if (password.equals(managerUserVO.getManagerPass())){
            // // 如果密码匹配，则登录成功
            return Result.success();
        }
        // 如果密码不匹配，则返回密码错误信息
        return Result.error("密码错误！");
    }

    @RequestMapping("register")
    public int addUser(ManagerUserVO vo) {
        manageUserService.addUser(vo);
        return 1;
    }

    @RequestMapping("queryRootlyh")
    public List queryRootlyh(ManagerUserVO vo) {
        return manageUserService.queryRootlyh(vo);
    }
}
